digiKam 5.3.0 is published...

DK5.3.0-AppImage-02

Dear digiKam fans and users,

After a 3rd release 5.2.0 published more than one month ago, the digiKam team is proud to announce the new release 5.3.0 of digiKam Software Collection. This version introduces an important common solution to deploy the application under Linux using AppImage bundle.

AppImage is an open-source project dedicated to provide a simple way to distribute portable software as compressed binary file, that standard user can run as well, without to install special dependencies. All is included into the bundle, as last Qt5 and KF5 frameworks. AppImage use Fuse file-system, which is de-compressed into a temporary directory to start the application. You don't need to install digiKam on your system to be able to use it. Better, you can use the official digiKam from your Linux distribution in parallel, and test the new version without any conflict with one used in production. This permit to quickly test a new release without to wait an official package dedicated for your Linux box. Another AppImage advantage is to be able to provide quickly a pre-release bundle to test last patches applied to source code, outside the releases plan.

The bundle include main 3rd-party libraries used by digiKam as Lensfun, OpenCV, and Exiv2. All are optimized for digiKam, and without extra or experimental configurations which can crash the application in special cases. DK5.3.0-AppImage-01

The simple way to use the digiKam AppImage is to download the right file for your system (32 bits or 64 bits), to make it executable, and to run it. See AppImage documentation if you need more information about.

With the continuous help of Wolfgang Scheffner, The digiKam handbook have been updated again and is available on-line at digiKam. All help are welcome to contribute on user manual, by writing sections, proof-reading, translating, etc.

For furher information, take a look into the list of more than 40 files currently closed in Bugzilla. A special thanks to Maik Qualmaan who improve code everywhere.

digiKam software collection source code tarball, Linux 32/64 bits AppImage bundles, MacOS package, and Windows 32/64 bits installers can be downloaded from this repository

Happy digiKaming!

THX!!

Thx a lot again for your great work!

V. 5.3

Dear all,

a small step for digikam, a huge step overall!!

Thank you all, really substantial progresses since several years!!

Absolutely great!!

Axel

HiDPI Support on Linux

Hi, Anyone has tried this on HiDPI display on Linux. For example, if I have an image with 1000x1000 pixels, when I show it in digikam on a 4K display with scale factor set to 2, the image will display as 2000x2000 when I choose to zoom into 100%.

I don't think this is a right behavior comparing to the other tools on Mac or Windows. The UI elements like label, menu, toolbar should follow the scale factor, but the image display should ignore the scale factor settings.

Anyone can let me know what should I do to make digikam the perfect tool to support this.

best regards

HiDPI

Hi, I think this is correct because the 2000x2000 image will scale to 1000x1000 once displayed into the monitor, thus being 100%.

No, per the result on Windows

No, per the result on Windows or Mac, the 1000x1000 image do need to show as 1000x1000 no matter what the scale_factor is.

Currently on digikam, it shows on 2000x2000pixels which the image loses its sharpness.

Animated GIF support

Any word on when animated gifs will be supported? It's kind of weird for a photo manager released in 2016 doesn't support one of the most common image formats out there.

GIF is supported...

but not gif animated. The reason is simple. Gif is not dedicated to support photograph due to serious color limitations. It just a toy for the internet, that all...

digiKam is a cataloger? How

digiKam is a cataloger? How do I view and manage my images? I do not fully see animated gif in the directory.

"...a toy for the internet..." Hm... Probably digiKam only for professional photographers. Simple users should use simple viewers ... which are able to display the animation in the "toy gif" ...

As it's already said,

As it's already said, animated gif thumb are supported,but not the animation in icon view. Preview must be available through the video player if codec are installed.

Seems odd for you to

Seems odd for you to completely write off a super common image type. Why is it that super basic image viewers with no cataloguing abilities can do something with common image types that you won't? Why completely write off non-professional users? Why arbitrarily gatekeep people from your software?

I waiting for GIF too

Totally agree with you.
I understand arguments cons, GIF is an old and bad image format so no photograph use it.
But I'm not a photograph, digiKam is a great software and a lot of non-professional users use it everyday, so why not ? Some technical restriction ?

aGIF thumbnail are still image...

But aGif preview must be show in video player as well

No way to preview AGif animation in icon view. This will overload GUI is you have plenty of file in same album. In fact it's the same deal with all video files and thumbnails.

Under Linux, GStreamer is use in background to show video through Qt5::Multimedia. There is certainly a aGif codec in base|good|ugly|bad GStreamer modules.

"No way to preview AGif

"No way to preview AGif animation in icon view."
Nobody ask for it, we just want Gif view like video view.

"Preview must be available

"Preview must be available through the video player if codec are installed."
Sorry, I didn't see this answer. I'll check my codec, actually it doesn't work for me.

Thank you for another great

Thank you for another great release @Digikam Team. I'm sure this is going to be better than the 5.2.0 release. AppImage support is just awesome. This will allow many more users to try it out, and provide invaluable feedback.

Group features

Thanks a lot for a great new version of this awesome piece of software.

There are still missing some features about the built in Group functions of digikam for example deleting a group (all grouped images) and apply tags to all grouped images. Any ideas when this will be fixed? Nobody else but me using the grouping feature to group RAW and JPG files?

Great work

Thanks for this new release.
You are great and Digikam is the best photo manager sw out there.

There has already been filed a bug for this behaviour

https://bugs.kde.org/show_bug.cgi?id=294579

That is indeed one of the minor annoyances of this truly excellent piece of software!

5.4.0

The Bug says "Fixed in version 5.4.0" so it should not take too long.
Thanks for the info and thanks to the digikam dev-team for fixing it.

Thanks! Great to see this

Thanks! Great to see this wonderful program updated again.

"Open With" still missing under MS Windows version

It seems that there's no option to open an image in an external program in the MS Widows version. This seems to have disappeared in version 5.0. Are there plans to add this back? Without it, the program doesn't fit into my workflow (probably a major difficulty for any workflow) and I'm using version 4.12. Version 4.12 is still a great program, so I'm not complaining. I would like to know whether there will be future versions that I can use or whether to stop looking.

Thanks for the software,

Ed W

Due to KIO Support

This feature do not exist due to non support of KIO outside Linux system.
KIO do not work and is a big puzzle under MacOS and Windows. Native solution need to be implemented instead.

How do I talk to the

How do I talk to the community or get support? I've tried the digikam mailing list. No one's responded from digikam users. There is a forum but it's barely ever used. How should I proceed?

You guys ever hope to switch something more modern and centralized. Lack of ease of communication with the community is a barrier to those that might want to use Digikam much less its development.

What do you mean by "more

What do you mean by "more modern and centralized" ?

Where is the AppImage download?

The download section just has repository, tar and git.

Where is the mentioned 32bit/64bit appimage version?

in this same repository...

Linux 32 bits: digikam-5.3.0-01-i386.appimage 06-Nov-2016 15:46 184M
Linux 64 bits: digikam-5.3.0-01-x86-64.appimage 06-Nov-2016 18:13 181M

Here's the link

digikam team, your answer in which you quote the download filenames makes sense if you already know where the repository is. The op appears to be asking where to find the repository. Of course, the repository is linked in the post but clearly the op missed it otherwise he/she would not ask the question.

Here's the link: http://download.kde.org/stable/digikam/

I too "missed" the link

.. and clicked on every link in the post looking for it in vain until I saw this comment. It appears that the above post html confuses chrome [Version 54.0.2840.59 (64-bit) and causes an invalid link destination from the image.

Thanks for giving me the repo url, being unable to find it was driving me crazy.

panorama gone for imageapp?

Hello,

I installed it via imageapp and the panorama funtion does not work, as many of the necessary parts are missing. Is there a way to install them one by one via "find" button? Or is this a fault of the imageApp?

Is it going to be in the repository?

Generally, I love the speed and many bugs are gone, I would love to stick to 5.3, but no panorama is a hard pill to swallow...

It's normal...

The missing run-time dependency is Hugin binaries, and all must be installed separately, as a native installation under Linux.
The goal of digiKam AppImage is to bundle digiKam application, not Hugin application. This is the same for OSX and Windows bundles.

That is OK, it is just that I

That is OK, it is just that I already have them installed natively (via Digicam 4.16) but they do not work. When I click "find" and go look for them (they are in some system folder), clicking on the file does not change anything- maybe newer hugin is necessary?

It is stupid but I will

It is stupid but I will answer myself: I have the newest hugin, so that is not the problem.

enblend and make are available (ver 4.2 and 4.1) but the rest, autooptimizer, cpclean, cpfind, nona, pano_modify and pto2mk are not found.

Any ideas? It is really a show stopper and sad as the program is now great otherwise!
The fix of the issue of the sliding bars in the editor was perfect.

Old Panorama Problem with New Hugin

I've been fighting this problem for a bit. It has to do with the version of Hugin that is installed. This article has a good explanation: http://www.zdnet.com/article/how-i-solved-a-digikam-panorama-hiccup/

Now I just have to figure out how I solved it before....

AppImage and Database?

Hi,

great to have the option using an AppImage. Please can you give a hint about sharing the data. For the images I guess there is no problem but is it possible to share the database of the old distro digikam version and a newer beta release of digikam running as AppInfo?

Thanks, Reiner

yes...

If older version is 4.x, AppImage will import settings from 4.x and create new 5.x settings in another place. Operation is done while First Run Assistant.

If older version is 5.x, AppImage will use same settings as well.

no export to remote computer?

Hello,

I bit the bitter pill and started using hugin as standalone as it is not working inside. But to do that with any kind of acceptable workflow, I need to be able to export selected images to a folder. This export option is not there.

Also it does not let use the export to dropbox (maybe the app is sandboxed?)

All in all, as much as I like the concept of appimage, is there a package for Debian/Ubuntu 16.10?

Any way for custom buttons?

Is there any way to make custom buttons and add them to the bars?
For example to memorize a serie of filters, or tags, and filter the images rapidly by only pressing a button?
It would be very useful if you have some photos with a tag "family", or "private", and with a button hide all of this picture, when you have to show your collection to someone not in your family...
I know other people ask for something similar, I think this solution (custom buttons to apply prememorized filters) would be the easiest to implement.
Thanks for this wonderful piece of software!

Please ship updated lensfun db in appimage; and some minor bugs

Thanks for the Appimage, I am using it since the latest stable version of my distro currently doesn't ship new enough versions of KF5 and I would need to go to some effort (uninstall KDE4 or build a VM to compile on) to build updated versions. Although I am mostly happy with Digikam 4.12 provided by the distro, I needed 5.2 or newer for raw support for my new Canon 80D.

However, one of the problems with the appimage is that it is more difficult to make changes, such as a updating the canon dslr file from lensfun, which would normally be trivial.

Unfortunately, while Digikam supports the 80D's raw format, the lensfun database included doesn't (although it was added in the upstream source repo more than a month before the digikam 5.3 release). In future versions of the appimage, please ship the latest version of the lensfun database. Otherwise it's impossible to include the lens auto-correction in a batch job (which is what I did in 4.x to speed up basic common workflow).

(Even better would be to make it easy to get updated lens or body profiles for lensfun in the Digikam settings).

I ran into some other minor issues:
- I wasn't able to download photos from my camera using the appimage of 5.3, whereas 4.12 just works with no fiddling (auto-detects the camera connected by USB), so I currently download on 4.12 Possibly appimage-specific?
- Since my body isn't listed in the lensfun database, I notice that even if I select the body manually and there is an exact match for the lens (e.g. EF-S 17-85) I need to select the lens manually. I think this issue existed in older versions of digikam 4.x but was fixed (maybe in a bug I reported?).
- On 2 different machines the import of the digikam 4 db wasn't successful, it just got stuck and I had to kill the process and choose to not import the db on the next start. Please make sure that anything that can get stuck had a cancel button.

I think those were the only issues compared to 4.x.

Otherwise, 5.3 has been working really well for me, thanks for the efforts of all involved.

Is there any possibility of adding support for connecting to cameras with WiFi support over the network (e.g. 80D, I think 750D/760D and even 1300D now have WiFi)?

LensFun 3.2.0

We use last release of Lensfun 3.2.0 :

http://lensfun.sourceforge.net/

You request want mean to use current implementation of LensFun not yet released. It's enough stable ?

I recommend to ask to LensFun team to release more frequently. Last 3.2.0 is out one year ago...

With AppImage, the hotplug support do not work yet. You must start digiKam, plug camera, and device will be detected.

Thanks

Thanks for all the hard work in developing digikam. I use it all the time with my real estate photos for work.

Hey, I'm new here. I've got a

Hey, I'm new here. I've got a question: Currently I've installed digKam 5.1.0 on windows 10 (64-bit) but now I like to do an update on version 5.3.0. Is there any way to save my configuration? Thank you so much!

There is nothing special to do...

...before to update. Databases and configurations are saved in separate files. You can backup this file in a removable media is you want.
Updating from 5.1.0 to 5.3.0 will not touch these files while the process.